// g++ -Wall -std=c++11 lambda_vs_vartempl.cpp
#include <iostream>

template<typename ...A>
void g(A...a)
{
  std::cout << sizeof...(A) << std::endl;
}

template<typename ...A>
void f(A...a)
{
  auto l = [&]{ g(a...); };
  l();
}

int main(void)
{
  f(3.14, 2.71, 666);
  return 0;
}
